Bug 22396 - проблемы с печатью
: проблемы с печатью
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/cups)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-26 10:51 by
Modified: 2013-06-13 21:30 (History)


Attachments
Лог при запуске cups (13.47 KB, application/octet-stream)
2009-11-26 10:51, stalker
no flags Details
Лог при попытке печати (139.97 KB, application/octet-stream)
2009-11-26 10:51, stalker
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-26 10:51:10
Created an attachment (id=4087) [details]
Лог при запуске cups

После обновления до 5.1 и обновления соответственно cups&Ko появились проблемы
с печатью на принтере samsung ML-1615

Текстовые документы  печатает через раз, картинки вообще не печатает. Принтер
100% исправен - ибо он же под 4.1 и win печатает без проблем. Логи cups при
запуске и в процессе работы в аттаче
------- Comment #1 From 2009-11-26 10:51:40 -------
Created an attachment (id=4088) [details]
Лог при попытке печати
------- Comment #2 From 2009-11-26 12:44:43 -------
Какая версия cups?
------- Comment #3 From 2009-11-26 13:59:06 -------
[stalker@f37 ~]$ rpm -qa | grep cups
libcups-1.4.2-alt0.M51.1
ghostscript-cups-8.70-alt2
samba-client-cups-3.0.37-alt1
cups-1.4.2-alt0.M51.1
------- Comment #4 From 2009-11-27 11:47:40 -------
Возможно в 1.4 ещё не до конца устаканилась работа с usb устройствами.
Никаких интересных патчей на эту тему не в upstream не у других вендоров не
нашёл.

Попробуйте версию с поддержкой usb устройств "по старинке".
Выложил здесь:
ftp://ftp.altlinux.org/pub/people/inger/cups
<появится примерно через два часа после этого сообщения>.
------- Comment #5 From 2009-12-01 20:01:16 -------
пересобрал под x86_64. Стало несколько лучше -с Foomatic/gdi пока что печатает.
На splix так и  не заработало. Да.. ещё конечно же подгрузил модуль usblb (в
блеклисте заккоментировал)
------- Comment #6 From 2009-12-02 11:21:55 -------
(В ответ на комментарий №5)
> пересобрал под x86_64. Стало несколько лучше -с Foomatic/gdi пока что печатает.
> На splix так и  не заработало. Да.. ещё конечно же подгрузил модуль usblb (в
> блеклисте заккоментировал)
Да вроде как этот принтер и не должен работать на splix. На сайте указано
только про ML-1610, а у Самсунга 1610 и 1615 могут быть совсем разные принтеры
внутри.

А с обычным cups пробовали splix или "Foomatic/gdi" ?
------- Comment #7 From 2009-12-02 11:35:16 -------
Оба драйвера пробовал. Кстати с обычным купсом splix пару страниц с картинками
напечатать умудрялся.
------- Comment #8 From 2010-02-14 23:50:13 -------
Как насчёт выложить версию c поддержкой usb устройств "по старинке" в 5.1?
------- Comment #9 From 2010-06-26 00:40:30 -------
Можешь попробовать откатиться на cups-1.3 из 5.0/branch (+libcups и, кажется,
ещё пакет-два).  Для SCX-4220 так пришлось сделать из-за сканера, которому
нужен usblp.ko, кажется.
------- Comment #10 From 2013-06-13 21:30:08 -------
Я думаю, что уже не актуально.